Bug 1795696 - oc rsh -n openshift-etcd etcd-member-pod should have working etcdctl
Summary: oc rsh -n openshift-etcd etcd-member-pod should have working etcdctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.0
Assignee: Suresh Kolichala
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks: 1801430
TreeView+ depends on / blocked
 
Reported: 2020-01-28 16:34 UTC by Scott Dodson
Modified: 2020-06-28 07:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1801430 1834823 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:27:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1429 None closed Bug 1795696: templates: etcd-member: setup environment variables needed for easy etcdctl execution 2020-10-09 15:21:53 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:27:50 UTC

Description Scott Dodson 2020-01-28 16:34:08 UTC
To assist in debugging etcd `oc rsh -n openshift-etcd etcd-pod-foo` should have environment ready to use etcdctl

Comment 2 ge liu 2020-02-12 15:22:23 UTC
verified with 4.4.0-0.nightly-2020-02-12-102027

# oc rsh -n openshift-etcd etcd-ip-10-0-143-42.us-east-2.compute.internal
Defaulting container name to etcd.
Use 'oc describe pod/etcd-ip-10-0-143-42.us-east-2.compute.internal -n openshift-etcd' to see all of the containers in this pod.
sh-4.2# etcdctl
NAME:
	etcdctl - A simple command line client for etcd3.

USAGE:
	etcdctl

VERSION:
	3.3.18

API VERSION:
	3.3

COMMANDS:
	get			Gets the key or a range of keys
	put			Puts the given key into the store
	del			Removes the specified key or range of keys [key, range_end)
	txn			Txn processes all the requests in one transaction

Comment 4 errata-xmlrpc 2020-05-04 11:27:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.